Subject: West Virginia
From: "Rhonda R. Ames" <[email-masked]>
To: "Mike Bishop" <[email-masked]>
Date: Mon, 18 May 2009 13:55:02 -0400

I called and spoke to the West Virginia Secretary of State inquiring of the status of the Annual Reports.  I was told that they did go out last week.

I confirmed that it was mailed to 5859 W. Saginaw Hwy. #343, Lansing, Michigan  48917.  It sounds like the last set of mailing went out Friday, therefore, I would expect for you to receive the forms within a couple days.

When it arrives, please forward it to my attention.

Rhonda R. Ames
Knaggs, Harter, Brake & Schneider, P.C.
Lansing, Michigan
(517) 622-0590